@import "src/@fuse/scss/fuse";

:host {

    .header {

        .search-input-wrapper {
            max-width: 480px;
        }
    }

    .mat-tab-group,
    .mat-tab-body-wrapper,
    .tab-content{
        flex: 1 1 auto;
        max-width: 100%;
    }

    .top-bg {
        position: absolute;
        z-index: 1;
        top: 0;
        right: 0;
        left: 0;
        height: 200px ;
        background-image: $top-bg-image;
        background-size: cover;
        
        @include media-breakpoint-down(xs) {
            height: 240px;
        }
    }

    .board-list {
        padding: 32px 0;
        max-height: none !important;

        .board-list-item {
            min-width: 210px;
            max-width: 210px;
            max-height: 180px;
            min-height: 130px;
            overflow-x: hidden;
            padding: 24px 0;
            margin: 16px;
            border-radius: 2px;
            background: rgba(0, 0, 0, 0.12);
            cursor: pointer;

            &:hover {
                @include mat-elevation(4);
            }

            .board-name {
                padding-top: 16px;
                font-weight: 500;
            }

            .board-brand {
                font-weight: 500;
                overflow: hidden;
            }
        }
    }
}


// :host {
//     min-height: 100%;

//     #boards {
//         width: 100%;
//         overflow: auto;

        
//     }
// }

